Ask Kevin is smarter.
OmniDimension
Simulation

Get simulation

Detailed simulation information.

GET/simulations/
Path parameters
simulation_idrequired
curl -X GET 'https://backend.omnidim.io/api/v1/simulations/{simulation_id}' \
  -H 'Authorization: Bearer YOUR_API_KEY'
Example response
{
  "success": true,
  "simulation": {
    "id": 456,
    "name": "Customer Support Test",
    "bot_id": {
      "id": 1234,
      "name": "Customer Support Agent"
    },
    "scenarios_ids": [],
    "status": "Draft",
    "number_of_call_to_make": 1,
    "concurrent_call_count": 3,
    "max_call_duration_in_minutes": 3,
    "what_went_wrong": false,
    "suggestions_for_improvement": false,
    "prompt_suggestion": false,
    "is_auto_prompt_suggestions_applied": false,
    "how_many_scenario_to_generate": 0,
    "summary": false,
    "analyticsData": {
      "Positive": 0,
      "Negative": 0,
      "Neutral": 0
    },
    "total_simulation_remaining_records": 0,
    "total_simulation_in_progress_records": 0,
    "total_simulation_finished_records": 0,
    "total_records": 0,
    "progress": [
      0
    ],
    "create_date": "05/08/2026 09:10:29",
    "simulation_call_recording": [],
    "can_stop": false,
    "active_calls_count": 0
  }
}

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token authentication. Obtain your API key from the OmniDimension dashboard.

In: header

Path Parameters

simulation_id*integer

Response Body

application/json